# FLASHAlgorithm (ARX Developer Documentation)

org.deidentifier.arx.algorithm

## Class FLASHAlgorithm

- java.lang.Object
- - org.deidentifier.arx.algorithm.FLASHAlgorithm

-     public class FLASHAlgorithm
      extends java.lang.Object

  This class provides a static method for instantiating the FLASH algorithm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLASHAlgorithm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractAlgorithm` | `create(SolutionSpace solutionSpace, NodeChecker checker, FLASHStrategy strategy)` Creates a new instance of the FLASH algorithm.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FLASHAlgorithm

          public FLASHAlgorithm()

  - ### Method Detail

    - #### create

          public static AbstractAlgorithm create(SolutionSpace solutionSpace,
                                 NodeChecker checker,
                                 FLASHStrategy strategy)

      Creates a new instance of the FLASH algorithm.
      Parameters:
        `solutionSpace` -
        `checker` -
        `strategy` -
      Returns: